<?php
/**
  * Sets a HTTP-Status Code, prints out the error message and exits.
  *
  * @param number $status_code
  *         set as a status code header.
  * @param string $message
  *         to report as error.
  */
 function _die($status_code = 500, $message = "") {
  header(':', true, $status_code);
  header("Content-Length: " . strlen($message));
  global $format;
  /*
   * if ($format == 'xml') { require_once (dirname(__FILE__) . '/xml.inc.php'); $message = convertToXml(json_decode($message, true), "error"); } else if ($format == 'html') { require_once (dirname(__FILE__) . '/html.inc.php'); $message = convertToHtml(json_decode($message, true), "error"); }
   */
  die($message);
 }


/**
 * Sends a debug mail to the moderator.
 */
function debug($msg) {
 $title = '[debug.' . ATOM_TAG_PREFIX . '] ' . $msg;
 $mail = $msg . "\n\n";
 
 mail(EMAIL_MODERATOR, $title, $mail, "From: " . EMAIL_PROVIDER . "\r\nContent-Type: text/plain; charset=utf-8\r\nContent-Transfer-Encoding: 8bit\r\n");
}

function escapeMailto($t) {
  $email_pattern='([\w-.]+)[@]([a-zA-Z0-9-.äöüÄÖÜ]{3,}\.[a-z.]{2,4})';
  $t=preg_replace('#<a href="mailto:'.$email_pattern.'">[^<]*</a>#is', '$1@$2', $t);
  $email_js='<script type="text/javascript">
	<!--
	var name = "$1";
	var domain = "$2";
	document.write(\'<a href=\"mailto:\' +  name + \'@\' + domain + \'\"><img src="'.HTTP_BASE.'mailsup.gif" width="16" height="10" hspace="5" border="0"> \');
	document.write(name + \'@\' + domain +  \'</a>\');
	//-->
	</script>';
  $t=preg_replace('#'.$email_pattern.'#is', $email_js, $t);
  return $t; 
}

function replaceConfigs($t) {
  global $lang;
  return str_replace(array("%HTTP_BASE%", "%lang%"), array(HTTP_BASE, $lang), $t); 
}

?>
