<?php
require_once (dirname(__FILE__) . '/config.php');
require_once (dirname(__FILE__) . '/i18n.php');

function endsWith($haystack, $needle, $case = true) {
 if ($case) {
  return (strcmp(substr($haystack, strlen($haystack) - strlen($needle)), $needle) === 0);
 }
 return (strcasecmp(substr($haystack, strlen($haystack) - strlen($needle)), $needle) === 0);
}

if (! empty($_POST)) {
 if (! isset($_POST["title"]) || strlen($_POST["title"]) <= 2) {
  _die(500, "failed, no title");
 }
 
 if (! isset($_POST["email"]) || strlen($_POST["email"]) <= 2) {
  _die(500, "failed, no email");
 }
 
 if (! isset($_POST["contact"]) || strlen($_POST["contact"]) <= 2) {
  _die(500, "failed, no contact");
 }
 
 if (! isset($_POST["name"]) || strlen($_POST["name"]) <= 2) {
  _die(500, "failed, no name");
 }
 
 if (! isset($_POST["message"]) || strlen($_POST["message"]) <= 2) {
  _die(500, "failed, no message");
 }
 date_default_timezone_set('MEZ');
 $stamp = date('YmdHis', time());
 $a = "";
 while(file_exists(dirname(__FILE__) . '/data/' . $stamp . $a . '.new') || file_exists(dirname(__FILE__) . '/data/' . $stamp . $a . '.ok')) {
  if ($a == "") {
   $a = 0;
  }
  $a ++;
 }
 $stamp .= $a;
 $_POST["id"] = $stamp;
 $_POST["created"] = time();
 $_POST["reminder"] = $_POST["created"] + 3600 * 24 * 24; // reminder after 24 days
 $_POST["valid_to"] = $_POST["created"] + 3600 * 24 * 28; // 4 weeks valid
 $_POST["rotate"] = rand(- 15, 15); // post-it rotation
 $_POST["text_color"] = 'ff0000'; // post-it text color
 $attachmentId = $_POST["attachmentId"];
 file_put_contents(dirname(__FILE__) . '/data/' . $stamp . '.new', json_encode($_POST));
 
 $lang=LANG_MODERATOR;
 $title = '['.NAME_PROVIDER.'] '. i18n('Moderation des Beitrags von').' ' . $_POST["name"];
 $mail = '' . $stamp . '.new' . ":\n\n";
 $mail .= substr(json_encode($_POST), 1, - 1) . "\n\n";
 $mail .= i18n('Aktivieren:').' ' . HTTP_BASE . 'publish.php?stamp=' . base_convert($stamp, 10, 36) . "\n\n";
 $mail .= i18n('Löschen:').' ' . HTTP_BASE . 'delete.php?stamp=' . base_convert($stamp, 10, 36) . "\n\n";
 $mail .= i18n('Benutzer Browser:')." " . $_SERVER['HTTP_USER_AGENT'] . "\n\n";
 $mail .= i18n('Beitrag der Seite:')." " . $_SERVER["HTTP_REFERER"] . "\n\n";
 
 mail(EMAIL_MODERATOR, $title, $mail, "From: " . EMAIL_PROVIDER . "\r\nContent-Type: text/plain; charset=utf-8\r\nContent-Transfer-Encoding: 8bit\r\n");
 echo ($stamp);
 exit();
}

$files = array();
$dir = opendir(dirname(__FILE__) . "/data/");
while(($file = readdir($dir)) !== false) {
 if ($file !== '.' && $file !== '..' && endsWith($file, '.ok')) {
  $files[] = $file;
 }
}
closedir($dir);
rsort($files);

foreach($files as $file) {
 $o = json_decode(file_get_contents(dirname(__FILE__) . "/data/" . $file));
 if (! isset($o->x)) {
  $o->x = - 1;
 }
 if (! isset($o->y)) {
  $o->y = - 1;
 }
 echo ('<a id="p' . $o->id . '" href="' . HTTP_BASE . 'show.php?id=' . $o->id . '" class="draggable" target="_blank" style="top: ' . $o->y . 'px; left: ' . $o->x . 'px;"><img class="postit" src="' . HTTP_BASE . 'postit.php');
 echo ("?t=" . $o->title);
 echo ("&amp;r=" . $o->rotate);
 echo ("&amp;c=" . $o->text_color);
 echo ('" title="' . $o->title . '"');
 echo (' width="100" height="100" /></a>' . "\n");
}
?>
